import request from '@/utils/request'

// 查询广告信息流链接列表
export function listHtml(query) {
  return request({
    url: '/ad/html/template/list',
    method: 'get',
    params: query
  })
}
// 查询广告信息流链接列表
export function listAll() {
  return request({
    url: '/ad/html/template/listAll',
    method: 'get',
  })
}

// 查询广告信息流链接详细
export function getHtml(id) {
  return request({
    url: '/ad/html/template/' + id,
    method: 'get'
  })
}

// 新增广告信息流链接
export function addHtml(data) {
  return request({
    url: '/ad/html/template',
    method: 'post',
    data: data
  })
}

// 修改广告信息流链接
export function updateHtml(data) {
  return request({
    url: '/ad/html/template',
    method: 'put',
    data: data
  })
}

// 删除广告信息流链接
export function delHtml(id) {
  return request({
    url: '/ad/html/template/' + id,
    method: 'delete'
  })
}

// 导出广告信息流链接
export function exportHtml(query) {
  return request({
    url: '/ad/html/template/export',
    method: 'get',
    params: query
  })
}
